<?php

namespace App\Filament\Clusters;

use BezhanSalleh\FilamentShield\Traits\HasPageShield;
use Filament\Clusters\Cluster;

class MyProjects extends Cluster
{
    use HasPageShield;

    protected static ?string $navigationIcon = 'heroicon-o-squares-2x2';

    protected static ?int $navigationSort = 4;

    public function getTitle(): string
    {
        return __('project_charter.project_charters');
    }

    public static function getNavigationLabel(): string
    {
        return __('project_charter.project_charters');
    }

    public static function getClusterBreadcrumb(): string
    {
        return __('project_charter.project_charters');
    }

    public static function getNavigationGroup(): ?string
    {
        return __('common.navigation.group.project_management');
    }
}
